
import Bladex
import DMusic
import string


###############################################################################
# append the scores of Blade to playlist key B
###############################################################################

								
SCORELIST = ("tema.wav","tema.mp3","ATMOSFERA5.wav", "ATMOSFERA23.wav", "combate1.wav",
	"combate3.wav","COMBATE-KAOS.wav" , "coro4.wav","SELECCION-PERSONAJE.mp3" )

score_number = 9


for i in range(score_number):

	Bladex.AddMusicEventWAV(SCORELIST[i - 1],"..\\..\\Sounds\\" + str(SCORELIST[i - 1]), 1, 1, 1, 100, 0, 99 )

	print "score to list added: ", SCORELIST[i - 1]



music_counter = 0

def playscore():

	global music_counter
	global score_number
	
	Bladex.KillMusic()
	Bladex.ExeMusicEvent( Bladex.GetMusicEvent(SCORELIST[music_counter]) )
	GameText.WriteTextAux ("" + SCORELIST[music_counter] + "", 8, 255,255,255,[] )

	music_counter = music_counter + 1

	if (music_counter >= score_number):
		music_counter = 0





###############################################################################
# append own scores to playlist key V
###############################################################################

OwnScoreDir = "../../Maps/AngelSteel"

OWN_SCORELIST = []


own_score_number = -1

files = os.listdir(OwnScoreDir)

for file in files:
	ext = string.upper(os.path.splitext(file)[1])
	if (ext == ".MP3"):

		OWN_SCORELIST.append(file)
		own_score_number = own_score_number + 1
	
		Bladex.AddMusicEventMP3(OWN_SCORELIST[own_score_number],"../../Maps/AngelSteel/" + str(OWN_SCORELIST[own_score_number]), 1, 1, 1, 100, 0, 99 )
		print "score to list added: ", OWN_SCORELIST[own_score_number]
		
	if (ext == ".WAV"):

		OWN_SCORELIST.append(file)
		own_score_number = own_score_number + 1
	
		Bladex.AddMusicEventWAV(OWN_SCORELIST[own_score_number],"../../Maps/AngelSteel/" + str(OWN_SCORELIST[own_score_number]), 1, 1, 1, 100, 0, 99 )
		
		print "score to list added: ", OWN_SCORELIST[own_score_number]



own_music_counter = 0

def play_own_score():

	print("should play own score")	
	global own_music_counter
	global own_score_number	

	Bladex.KillMusic()
	Bladex.ExeMusicEvent( Bladex.GetMusicEvent (OWN_SCORELIST[own_music_counter] ))
	GameText.WriteTextAux ("" + OWN_SCORELIST[own_music_counter] + "", 8, 255,255,255,[] )
	

	own_music_counter = own_music_counter + 1

	if (own_music_counter >= own_score_number +1):
		own_music_counter = 0




###############################################################################
# music off, key N
###############################################################################


def music_off():

	Bladex.KillMusic()
	GameText.WriteTextAux ("music  off",8, 255,255,255,[] )




###############################################################################
# music key bindings
###############################################################################


Bladex.AddInputAction("playscore", 0)
Bladex.AddBoundFunc("playscore",playscore)
Bladex.AssocKey("playscore", "Keyboard", "B", 1)	# B like *B*lade's tracks

Bladex.AddInputAction("play_own_score", 0)
Bladex.AddBoundFunc("play_own_score",play_own_score)
Bladex.AssocKey("play_own_score", "Keyboard", "V", 1)	# V own tracks

Bladex.AddInputAction("music_off", 0)
Bladex.AddBoundFunc("music_off",music_off)
Bladex.AssocKey("music_off", "Keyboard", "N", 1)	# N like *N*o track




###############################################################################
# wind
###############################################################################


# Light-Wind-bg.wav
# whistlingwind-thruconduit.wav

v1=Bladex.CreateSound("..\\..\\Sounds\\whistlingwind-thruconduit.wav","v1")
v1.MaxDistance=100000
v1.MinDistance=90000
v1.Volume=1.1
v1.BaseVolume=1.0
v1.SendNotify=0
v1.Scale=1.0
v1.Play(0,-2000,0,-1)

v2=Sounds.CreatePeriodicSound("..\\..\\Sounds\\Light-Wind-bg.wav", "v2",20,5,(0,-2000,0))
v2.Volume=0.05
v2.MinDistance=90000
v2.MaxDistance=100000
v2.BaseVolume=1.0
v2.Scale=1.0
v2.SendNotify=0
v2.PlayPeriodic()

