
EXP_PENALTY = 0.00

########################
PLAYERRESPAWNTIME = 4.00
deaths = 0
########################


def EndReSpawn():
	player = Bladex.GetEntity("Player1")
	if player.Data.Invincibility == 3:
		player.Data.Invincibility = 0

def ReSpawn():
	player = Bladex.GetEntity("Player1")
	if player.Life <= 0:
		player.PartialLevel = player.PartialLevel - (CharStats.GetCharExperienceCost(player.CharType,player.Level) * EXP_PENALTY)
		if player.PartialLevel < 0:
			player.PartialLevel = 0
		Scorer.SetLevelBarValue(player.PartialLevel)
		Bladex.RemoveAfterFrameFunc("Fade")
		player.LaunchAnmType("Rlx")
		player.Data.ReSpawn("Player1")
		player.Position= 0,-1500,-45000
		player.Angle= 0.0
		GenFX.PersonMagicallyAppearing()
		invincibleTime = 4
		Auras.MakeAura(player.Name,invincibleTime,(25,1.0,1.0,1,0,0), (),(),(2,  0.8,0.8,1.0, 1.0, 0.6  , 0.0,0.0,1.0, 0.0, 1.0))
		AuxFuncs.FadeObject("player", 0.00, 1.0, 4.0)
		if player.Data.Invincibility == 0:
			player.Data.Invincibility = 3
		Bladex.AddScheduledFunc(Bladex.GetTime()+invincibleTime, EndReSpawn,(), "EndReSpawn")


def PlayerDied (entity):

	########################
	global PLAYERRESPAWNTIME
	global deaths
	deaths = deaths + 1
	########################

	Bladex.AddScheduledFunc(Bladex.GetTime() + PLAYERRESPAWNTIME, ReSpawn,())
		


def SetupPlayerDeathFunc():
	player = Bladex.GetEntity("Player1")
	player.Data.OldImDeadFunc = player.ImDeadFunc
	player.ImDeadFunc = PlayerDied

SetupPlayerDeathFunc()

# Fixes for the player moving while dead
for func in acts.FuncList:
	Bladex.RemoveBoundFunc("Toggle Weapons",func)

def IsPlayerDead():
	return Bladex.GetEntity("Player1").Life <= 0

def FixToggleWeapons(EntityName):
	if (EntityName == "Player1") and (IsPlayerDead()):
		return
	Actions.StdToggleWeapons(EntityName)
Bladex.AddBoundFunc("Toggle Weapons", acts.DefArgWrapper("Player1", FixToggleWeapons))

OldTryDropRight = Actions.TryDropRight
def FixTryDropRight(EntityName):
	if (EntityName == "Player1") and (IsPlayerDead()):
		return
	OldTryDropRight(EntityName)
Actions.TryDropRight = FixTryDropRight

OldTryDropLeft = Actions.TryDropLeft
def FixTryDropLeft(EntityName):
	if (EntityName == "Player1") and (IsPlayerDead()):
		return
	OldTryDropLeft(EntityName)
Actions.TryDropLeft = FixTryDropLeft

OldStdThrowObject = Actions.StdThrowObject
def FixStdThrowObject(EntityName):
	if (EntityName == "Player1") and (IsPlayerDead()):
		return
	OldStdThrowObject(EntityName)
Actions.StdThrowObject = FixStdThrowObject

