
print("")
print("preparing stars for AngelSteel")


###############################################################################
# create matrices for possible star coords
###############################################################################

xCoord     = [0]
yCoord     = [0]
zCoord     = [0]


for i in range(56): 

	xCoord.append(i * 1000)
	xCoord.append(i * -1000)
	yCoord.append(i * 1000)
	yCoord.append(i * -1000)


for i in range(19):

	zCoord.append(i * 1000)
	zCoord.append(i * -1000)



###############################################################################
# create the stars
###############################################################################

global StarsNumber

for i in range(asCONFIG.StarsNumber):

	global StarsColor
	global StarsFlicker

	idx = whrandom.randint(0, len(xCoord)-1)
	xCOORD = xCoord[idx]
	
	idx = whrandom.randint(0, len(yCoord)-1)
	yCOORD = yCoord[idx]

	idx = whrandom.randint(0, len(zCoord)-1)
	zCOORD = zCoord[idx]	

	INTENSITY   = whrandom.randint(0, 9) / 10 + 0.5
	SIZE        = whrandom.randint(0, 3) / 10 + 0.4
	ROTATION    = whrandom.randint(0, 5) / 10 + 0.3

	o=Bladex.CreateEntity("star_" +str(i), "Entity Spot", xCOORD, zCOORD, yCOORD)	
	
	if (asCONFIG.StarsColor == "0"):
		o.Color = 255,255,255

	if (asCONFIG.StarsColor == "1"):
		o.Color= whrandom.randint(0, 255),whrandom.randint(0, 255),whrandom.randint(0, 255)

	o.Intensity   = INTENSITY
	o.Precission  = 0.1
	o.CastShadows = 0
	o.Visible     = 1
	o.Flick       = 0   
	o.SizeFactor  = SIZE
	o.AngVel      = ROTATION
	o.GlowTexture = "StarParticle"




###############################################################################
# turn on possible flickering
###############################################################################

# the defs themselves are in DefFuncs


global StarsFlicker

if (asCONFIG.StarsFlicker == "1"):

	flicker_stars()


if (asCONFIG.StarsFlicker == "2"):

	flicker_colored_stars()




print("")
print("stars for AngelSteel prepared")
print("")

