###############################################################################
# Preface: 
# * none Amazon mesh is good for any type of enemy
# * all Amazon and DwfSkin1+2 are no good meshes for Lich and Knight_Zombie 
# * Enano1+2 and DwfSkin1+2 are no good meshes for Vampire
# * lichmesh and LICHMESH are also the mesh amounts for Knight_Zombie
# * maybe there are some other optical mismatches I haven't discovered so far 
###############################################################################

import travpos

from CharData import CharMaxLifeValue

###############################################################################
# def for playerlife = 1
###############################################################################

def change_playerlife():

	for i in range(20):
	
		CharMaxLifeValue['Barbarian_N'][i-1] = 1
		CharMaxLifeValue['Amazon_N'][i-1]    = 1
		CharMaxLifeValue['Dwarf_N'][i-1]     = 1
		CharMaxLifeValue['Knight_N'][i-1]    = 1

	Bladex.GetEntity("Player1").Life = 1



###############################################################################
# Mengen fr enemy, weapon, shield, meshes...
###############################################################################


weapon = ("Cimitarra","Dagesse","DalWeapon","DoubleSword","EgyptSword","Espada",
	"Espadacurva","Espadaelfica","Espadafilo","EspadaMagica1","EspadaMagica2",
	"EspadaMagica3","Espadaromana","FireSword","Gladius","HookSword","IceSword",
	"Katana","KingSword","Ninjato","Orksword","QueenSword","Sablazo","TaiSword",

	"CrushHammer","FireAxe","Hacha","Hacha2","Hacha3","Hacha4","Hacha5","Hacha6",
	"IceHammer","LightEdge","Martillo","Martillo2","Martillo3",

	"Garropin","Garrote","Garrote2","Maza","Maza2","Maza3","MazaDoble")


shield = ("DalShield","Escudo1","Escudo2","Escudo3","Escudo4","Escudo5","Escudo6",
	"Escudo7","Escudo8","Escudo9","KingShield","VampShield")


enemy = ["Dark_Knight", "Great_Ork", "Knight_Traitor", "Knight_Zombie", "Lich",
	"Ragnar", "Skeleton","Ork", "Cos"]


global VampireON
global FireDemonON
global SalamanderON
global MeskalamdugON
global GolemsON

if (asCONFIG.GolemsON == "1"):
	global enemy
	enemy.append("Golem_stone")

if (asCONFIG.MeskalamdugON == "1"):
	global enemy
	enemy.append("Great_Demon")

if (asCONFIG.VampireON == "1"):
	global enemy
	enemy.append("Vamp")

if (asCONFIG.FireDemonON == "1"):
	global enemy
	enemy.append("Little_Demon")

if (asCONFIG.SalamanderON == "1"):
	global enemy
	enemy.append("Salamander")



# nicht: amaz, DwfSkin2
mesh = ("Barbarian_N","Barbarian_L","BarSkin1","BarSkin2",
	"Knight_N","Knight_L","Knight_M", "Knight_F","KgtSkin1","KgtSkin2",
	"Dwarf_N", "Dwarf_L","Dwarf_M","DwfSkin1",
	"Enano1","Enano2","Enano3","Enano4",
	"Ork","Dark_Ork","Great_Ork", "Knight_Traitor","Dark_Knight","Knight_Zombie",
	"Ragnar","Skeleton","Vamp")  


# nicht: amaz, DwfSkin2
lichmesh = ("Barbarian_N","Barbarian_L","BarSkin1","BarSkin2",
	"Knight_N","Knight_L","Knight_M", "Knight_F","KgtSkin1","KgtSkin2", 
	"Dwarf_N", "Dwarf_L","Dwarf_M","DwfSkin1",
	"Enano1","Enano2","Enano3","Enano4",
   	"Ork","Dark_Ork","Great_Ork", "Lich","Knight_Traitor","Dark_Knight",
	"Knight_Zombie","Ragnar","Skeleton","Vamp")


# nicht: amaz, DwfSkin2
vampmesh = ("Barbarian_N","Barbarian_L","BarSkin1","BarSkin2",
	"Knight_N","Knight_L","Knight_M", "Knight_F","KgtSkin1","KgtSkin2",
	"Dwarf_N", "Dwarf_L","Dwarf_M","DwfSkin1",
	"Enano1","Enano2","Enano3","Enano4",
	"Ork","Dark_Ork","Great_Ork", "Knight_Traitor","Dark_Knight","Knight_Zombie",
	"Ragnar","Skeleton","Vamp")


golem_mesh = ("Golem_stone","Golem_metal","Golem_clay","Golem_lava","Golem_ice")


without_weaponry = ("Cos","Little_Demon","Salamander","Great_Demon","Golem_stone",
	"Golem_metal","Golem_clay","Golem_lava","Golem_ice")


### HEERESVERSUCHSANSTALT:
#enemy    = ()
#mesh     = ()
#lichmesh = ()
#vampmesh = ()




###############################################################################
# Feind 1
###############################################################################

def Respawn1():
	
	global enemy1pos
	global CleanArena
	global EnemyLife	

	global killcount1
	global cleanup

	cleanup = cleanup + 1

	if (cleanup > asCONFIG.CleanArena):

		CleanUpArena()
		cleanup=0


	idx = whrandom.randint(0, len(enemy)-1)
	ENEMY = enemy[idx]
     
	idx = whrandom.randint(0, len(mesh)-1)
	MESH = mesh[idx]

	idx = whrandom.randint(0, len(lichmesh)-1)
	LICHMESH = lichmesh[idx]

	idx = whrandom.randint(0, len(vampmesh)-1)
	VAMPMESH = vampmesh[idx]

	idx = whrandom.randint(0, len(weapon)-1)
	WEAPON = weapon[idx]

	idx = whrandom.randint(0, len(shield)-1)
	SHIELD = shield[idx]

	idx = whrandom.randint(0, len(golem_mesh)-1)
	GOLEM_MESH = golem_mesh[idx]


	enemigo=Bladex.CreateEntity("feind1_" +str(killcount1), ENEMY, 0,0,0, "Person")
	enemigo.Position= travpos.enemy1pos
	enemigo.Level=19
	EnemyTypes.EnemyDefaultFuncs(enemigo)
	enemigo.Angle=B3DLib.GetEntity2EntityAngle(enemigo.Name, "Player1")


	if not (ENEMY in without_weaponry):

		arma=Bladex.CreateEntity("waffe1_" +str(killcount1), WEAPON, 0,0,0, "Weapon") 
		ItemTypes.ItemDefaultFuncs(arma)
		Actions.TakeObject(enemigo.Name, arma.Name)
		AuxFuncs.FadeObject(arma.Name, 0.00, 1.0, 4.0)

		if not ((ENEMY == "Lich") or (ENEMY == "Knight_Zombie")):

			escudo=Bladex.CreateEntity("schild1_" +str(killcount1), SHIELD, 0, 0, 0, "Weapon") 
			ItemTypes.ItemDefaultFuncs(escudo)			        
			Sparks.MakeShield(escudo.Name)
			Actions.TakeObject(enemigo.Name, escudo.Name)
			AuxFuncs.FadeObject(escudo.Name, 0.00, 1.0, 4.0)

	        enemigo.SetMesh(MESH)


	if (ENEMY == "Lich") or (ENEMY == "Knight_Zombie"):
		enemigo.SetMesh(LICHMESH)
		MESH = LICHMESH

	if (ENEMY == "Vamp"):
		enemigo.SetMesh(VAMPMESH)
		MESH = VAMPMESH

	if (asCONFIG.EnemyLife == "0"):
		CharMaxLifeValue[ENEMY][19] = 1
		enemigo.Life = 1

	if (asCONFIG.EnemyLife == "2"):
		enemigo.Life = enemigo.Life + killcount1 * 100

	if (ENEMY == "Golem_stone"):
		enemigo.SetMesh(GOLEM_MESH)
		MESH = GOLEM_MESH

	enemigo.SetOnFloor()
	enemigo.Data.OldImDeadFunc=enemigo.ImDeadFunc
	enemigo.ImDeadFunc=DeathOfEnemy1
	AuxFuncs.FadeObject(enemigo.Name, 0.00, 1.0, 4.0)

	if (ENEMY == MESH):
		print "real enemy created: feind1_", str(killcount1)
		print "",ENEMY
	else:
		print "unreal enemy created: feind1_", str(killcount1)
		print "                      enemy = ",ENEMY
		print "                       mesh = ",MESH




###############################################################################
# Feind 2
###############################################################################

def Respawn2():
	
	global enemy2pos 
	global CleanArena
	global EnemyLife	

	global killcount
	global cleanup

	cleanup = cleanup + 1

	if (cleanup > asCONFIG.CleanArena):

		CleanUpArena()
		cleanup=0


	idx = whrandom.randint(0, len(enemy)-1)
	ENEMY = enemy[idx]
     
	idx = whrandom.randint(0, len(mesh)-1)
	MESH = mesh[idx]

	idx = whrandom.randint(0, len(lichmesh)-1)
	LICHMESH = lichmesh[idx]

	idx = whrandom.randint(0, len(vampmesh)-1)
	VAMPMESH = vampmesh[idx]

	idx = whrandom.randint(0, len(weapon)-1)
	WEAPON = weapon[idx]

	idx = whrandom.randint(0, len(shield)-1)
	SHIELD = shield[idx]

	idx = whrandom.randint(0, len(golem_mesh)-1)
	GOLEM_MESH = golem_mesh[idx]

	enemigo=Bladex.CreateEntity("feind2_" +str(killcount2), ENEMY, 0,0,0, "Person")
	enemigo.Position= travpos.enemy2pos
	enemigo.Level=19
	EnemyTypes.EnemyDefaultFuncs(enemigo)
	enemigo.Angle=B3DLib.GetEntity2EntityAngle(enemigo.Name, "Player1")


	if not (ENEMY in without_weaponry):

		arma=Bladex.CreateEntity("waffe2_" +str(killcount2), WEAPON, 0,0,0, "Weapon") 
		ItemTypes.ItemDefaultFuncs(arma)
		Actions.TakeObject(enemigo.Name, arma.Name)
		AuxFuncs.FadeObject(arma.Name, 0.00, 1.0, 4.0)

		if not ((ENEMY == "Lich") or (ENEMY == "Knight_Zombie")):

			escudo=Bladex.CreateEntity("schild2_" +str(killcount2), SHIELD, 0, 0, 0, "Weapon") 
			ItemTypes.ItemDefaultFuncs(escudo)			        
			Sparks.MakeShield(escudo.Name)
			Actions.TakeObject(enemigo.Name, escudo.Name)
			AuxFuncs.FadeObject(escudo.Name, 0.00, 1.0, 4.0)

	        enemigo.SetMesh(MESH)


	if (ENEMY == "Lich") or (ENEMY == "Knight_Zombie"):
		enemigo.SetMesh(LICHMESH)
		MESH = LICHMESH

	if (ENEMY == "Vamp"):
		enemigo.SetMesh(VAMPMESH)
		MESH = VAMPMESH

	if (asCONFIG.EnemyLife == "0"):
		enemigo.Life = 1

	if (asCONFIG.EnemyLife == "2"):
		enemigo.Life = enemigo.Life + killcount1 * 100

	if (ENEMY == "Golem_stone"):
		enemigo.SetMesh(GOLEM_MESH)
		MESH = GOLEM_MESH

	enemigo.SetOnFloor()
	enemigo.Data.OldImDeadFunc=enemigo.ImDeadFunc
	enemigo.ImDeadFunc=DeathOfEnemy2
	AuxFuncs.FadeObject(enemigo.Name, 0.00, 1.0, 4.0)

	if (ENEMY == MESH):
		print "real enemy created: feind2_", str(killcount2)
		print "",ENEMY
	else:
		print "unreal enemy created: feind2_", str(killcount2)
		print "                      enemy = ",ENEMY
		print "                       mesh = ",MESH



###############################################################################
# Feind 3
###############################################################################

def Respawn3():
	
	global enemy3pos
	global CleanArena	
	global EnemyLife

	global killcount
	global cleanup

	cleanup = cleanup + 1

	if (cleanup > asCONFIG.CleanArena):

		CleanUpArena()
		cleanup=0


	idx = whrandom.randint(0, len(enemy)-1)
	ENEMY = enemy[idx]
     
	idx = whrandom.randint(0, len(mesh)-1)
	MESH = mesh[idx]

	idx = whrandom.randint(0, len(lichmesh)-1)
	LICHMESH = lichmesh[idx]

	idx = whrandom.randint(0, len(vampmesh)-1)
	VAMPMESH = vampmesh[idx]

	idx = whrandom.randint(0, len(weapon)-1)
	WEAPON = weapon[idx]

	idx = whrandom.randint(0, len(shield)-1)
	SHIELD = shield[idx]

	idx = whrandom.randint(0, len(golem_mesh)-1)
	GOLEM_MESH = golem_mesh[idx]

	enemigo=Bladex.CreateEntity("feind3_" +str(killcount2), ENEMY, 0,0,0, "Person")
	enemigo.Position= travpos.enemy3pos
	enemigo.Level=19
	EnemyTypes.EnemyDefaultFuncs(enemigo)
	enemigo.Angle=B3DLib.GetEntity2EntityAngle(enemigo.Name, "Player1")


	if not (ENEMY in without_weaponry):

		arma=Bladex.CreateEntity("waffe3_" +str(killcount3), WEAPON, 0,0,0, "Weapon") 
		ItemTypes.ItemDefaultFuncs(arma)
		Actions.TakeObject(enemigo.Name, arma.Name)
		AuxFuncs.FadeObject(arma.Name, 0.00, 1.0, 4.0)

		if not ((ENEMY == "Lich") or (ENEMY == "Knight_Zombie")):

			escudo=Bladex.CreateEntity("schild3_" +str(killcount3), SHIELD, 0, 0, 0, "Weapon") 
			ItemTypes.ItemDefaultFuncs(escudo)			        
			Sparks.MakeShield(escudo.Name)
			Actions.TakeObject(enemigo.Name, escudo.Name)
			AuxFuncs.FadeObject(escudo.Name, 0.00, 1.0, 4.0)

	        enemigo.SetMesh(MESH)


	if (ENEMY == "Lich") or (ENEMY == "Knight_Zombie"):
		enemigo.SetMesh(LICHMESH)
		MESH = LICHMESH

	if (ENEMY == "Vamp"):
		enemigo.SetMesh(VAMPMESH)
		MESH = VAMPMESH

	if (asCONFIG.EnemyLife == "0"):
		enemigo.Life = 1

	if (asCONFIG.EnemyLife == "2"):
		enemigo.Life = enemigo.Life + killcount1 * 100

	if (ENEMY == "Golem_stone"):
		enemigo.SetMesh(GOLEM_MESH)
		MESH = GOLEM_MESH

	enemigo.SetOnFloor()
	enemigo.Data.OldImDeadFunc=enemigo.ImDeadFunc
	enemigo.ImDeadFunc=DeathOfEnemy3
	AuxFuncs.FadeObject(enemigo.Name, 0.00, 1.0, 4.0)

	if (ENEMY == MESH):
		print "real enemy created: feind3_", str(killcount3)
		print "",ENEMY
	else:
		print "unreal enemy created: feind3_", str(killcount3)
		print "                      enemy = ",ENEMY
		print "                       mesh = ",MESH



###############################################################################
# Feind 4
###############################################################################

def Respawn4():
	
	global enemy4pos
	global CleanArena
	global EnemyLife	

	global killcount4
	global cleanup

	cleanup = cleanup + 1

	if (cleanup > asCONFIG.CleanArena):

		CleanUpArena()
		cleanup=0


	idx = whrandom.randint(0, len(enemy)-1)
	ENEMY = enemy[idx]
     
	idx = whrandom.randint(0, len(mesh)-1)
	MESH = mesh[idx]

	idx = whrandom.randint(0, len(lichmesh)-1)
	LICHMESH = lichmesh[idx]

	idx = whrandom.randint(0, len(vampmesh)-1)
	VAMPMESH = vampmesh[idx]

	idx = whrandom.randint(0, len(weapon)-1)
	WEAPON = weapon[idx]

	idx = whrandom.randint(0, len(shield)-1)
	SHIELD = shield[idx]

	idx = whrandom.randint(0, len(golem_mesh)-1)
	GOLEM_MESH = golem_mesh[idx]


	enemigo=Bladex.CreateEntity("feind4_" +str(killcount4), ENEMY, 0,0,0, "Person")
	enemigo.Position= travpos.enemy4pos
	enemigo.Level=19
	EnemyTypes.EnemyDefaultFuncs(enemigo)
	enemigo.Angle=B3DLib.GetEntity2EntityAngle(enemigo.Name, "Player1")


	if not (ENEMY in without_weaponry):

		arma=Bladex.CreateEntity("waffe4_" +str(killcount4), WEAPON, 0,0,0, "Weapon") 
		ItemTypes.ItemDefaultFuncs(arma)
		Actions.TakeObject(enemigo.Name, arma.Name)
		AuxFuncs.FadeObject(arma.Name, 0.00, 1.0, 4.0)

		if not ((ENEMY == "Lich") or (ENEMY == "Knight_Zombie")):

			escudo=Bladex.CreateEntity("schild4_" +str(killcount4), SHIELD, 0, 0, 0, "Weapon") 
			ItemTypes.ItemDefaultFuncs(escudo)			        
			Sparks.MakeShield(escudo.Name)
			Actions.TakeObject(enemigo.Name, escudo.Name)
			AuxFuncs.FadeObject(escudo.Name, 0.00, 1.0, 4.0)

	        enemigo.SetMesh(MESH)


	if (ENEMY == "Lich") or (ENEMY == "Knight_Zombie"):
		enemigo.SetMesh(LICHMESH)
		MESH = LICHMESH

	if (ENEMY == "Vamp"):
		enemigo.SetMesh(VAMPMESH)
		MESH = VAMPMESH

	if (asCONFIG.EnemyLife == "0"):
		enemigo.Life = 1

	if (asCONFIG.EnemyLife == "2"):
		enemigo.Life = enemigo.Life + killcount1 * 100

	if (ENEMY == "Golem_stone"):
		enemigo.SetMesh(GOLEM_MESH)
		MESH = GOLEM_MESH

	enemigo.SetOnFloor()
	enemigo.Data.OldImDeadFunc=enemigo.ImDeadFunc
	enemigo.ImDeadFunc=DeathOfEnemy4
	AuxFuncs.FadeObject(enemigo.Name, 0.00, 1.0, 4.0)

	if (ENEMY == MESH):
		print "real enemy created: feind4_", str(killcount4)
		print "",ENEMY
	else:
		print "unreal enemy created: feind4_", str(killcount4)
		print "                      enemy = ",ENEMY
		print "                       mesh = ",MESH




###############################################################################
# Start
###############################################################################

global EnemyNumber
global EnemyLife
global PlayerLife

killcount1 = 0
killcount2 = 0
killcount3 = 0
killcount4 = 0
cleanup = 0


if (asCONFIG.PlayerLife == "1"):
	change_playerlife()


if (asCONFIG.EnemyNumber > 0): 
	killcount1 = 0
	Respawn1()

if (asCONFIG.EnemyNumber > 1): 
	killcount3 = 0
	Respawn2()

if (asCONFIG.EnemyNumber > 2): 
	killcount3 = 0
	Respawn3()

if (asCONFIG.EnemyNumber > 3): 
	killcount4 = 0
	Respawn4()